---
title: Change Log
---

# Change Log

<div class="documentation__toc"></div>

## Introduction

All notable changes to this project will be documented in this file.

- `Added` for new features.
- `Changed` for changes in existing functionality.
- `Deprecated` for soon-to-be removed features.
- `Removed` for now removed features.
- `Fixed` for any bug fixes.
- `Security` in case of vulnerabilities.

### Versioning

This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### Deprecated Features

Features that are deprecated will generally be removed in the next `minor` update unless noted otherwise.

## Releases

### [3.0.4] - 2020-03-11
#### Fixed
- Fixed issue where `MATCH` score was not being used for ordering results.


### [3.0.3] - 2020-02-07
#### Fixed
- Fixed issue where items were not deleting from index when `shouldBeSearchable()` returns `false`.

#### Added
- Added Italian translation.


### [3.0.2] - 2019-10-16
#### Fixed
- Fixed issue where the parenthesis were not wrapping the `WHERE` constraints properly which caused weird results. 


### [3.0.1] - 2019-10-01
#### Fixed
- Fixed issue where search query was being reinstantiated and losing ordering.

#### Changed
- Changed sorting to order by score `DESC` instead of `ASC`. 

#### Added
- Added `LIKE` wildcard match clauses as a last resort catch.

### [3.0.0] - 2019-08-07
#### Changed
- Changed everything. Now a Scout driver itself designed for MySQL databases. 
